Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.server.core
Class ActionDefinition

    java.lang.Object
      gecco.server.core.ActionDefinition

public class ActionDefinition
extends Object

Represents a definition of an Action, as defined in the configuration files.

Author:
  Henrik Bäärnhielm, Karl Hasselström, Henrik Hägerström

Constructor Summary
`ActionDefinition(String name, Class actionClass, String description, String argumentType)` Constructor for the ActionDefinition object

Method Summary
`Class` | `getActionClass()` Gets the action class.
`String` | `getArgumentType()` Gets the argument type.
`String` | `getDescription()` Gets the description.
`String` | `getId()` Gets the id.
`String` | `getName()` Gets the name.
`boolean` | `isInstantaneous()` Is the action instantaneous?
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionDefinition

    public ActionDefinition(String name,
                            Class actionClass,
                            String description,
                            String argumentType)

  Constructor for the ActionDefinition object

Method Detail

### getName

    public String getName()

  Gets the name.

  Returns:
    The name.

### getId

    public String getId()

  Gets the id.

  Returns:
    The id.

### getDescription

    public String getDescription()

  Gets the description.

  Returns:
    The description.

### getArgumentType

    public String getArgumentType()

  Gets the argument type.

  Returns:
    The argument type.

### getActionClass

    public Class getActionClass()

  Gets the action class.

  Returns:
    The action class.

### isInstantaneous

    public boolean isInstantaneous()

  Is the action instantaneous?

  Returns:
    true if the action is instantaneous, false otherwise.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD